<template>
  <ObForm :form-data="{}" :is-read-only="true">
    <ObTable
      ref="dataGrid"
      :columns="$options.columns"
      :remote-opt="getHistoryList"
    >
    </ObTable>
  </ObForm>
</template>

<script>
  import api from '@/api'
  import ObTable from 'common-components/src/obComponents/obTable'
  import moment from 'moment';
  import ObForm from 'common-components/src/obComponents/obForm'

  export default {
    name: 'HistoryModal',
    components: {
      ObForm,
      ObTable
    },
    props: {
      type: {
        type: String,
        required: true
      },
      uuid: {
        type: String,
        required: true
      }
    },
    columns: [
      {
        title: 'Дата и время изменения',
        field: 'short_title',
        calculateCellValue(data) {

          return `<div>
                  <div>${moment(data.actionTime).format('DD.MM.YYYY')}</div>
                  <div class="op5">${moment(data.actionTime).format('HH:mm')}</div>
                </div>`;
        }
      },
      {
        title: 'Тип изменения',
        field: 'changeAction'
      },
      {
        title: 'Что изменилось',
        field: 'short_title'
      },
      {
        title: 'Кто изменил',
        field: 'userName'
      },
      {
        title: 'Компания',
        field: 'participantName'
      }
    ],
    data() {
      return {
        dataGridRefName: 'HistoryList',
        api: {
          source: 'audit',
          method: 'getHistory',
        }
      }
    },
    methods: {
      async getHistoryList ({ page, size }) {
        return await api[this.api.source][this.api.method]({ type: this.type, uuid: this.uuid }, page, size)
      }
    }
  }
</script>

<style scoped>

</style>
